Bug 27232 - Missing spaces in member-alt-contact-style.inc make some strings appearing twice in po
Summary: Missing spaces in member-alt-contact-style.inc make some strings appearing tw...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-14 13:43 UTC by Jonathan Druart
Modified: 2021-05-24 16:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 27232: Add missing space between : and </label> in member-alt-contact-style.inc (4.61 KB, patch)
2020-12-14 13:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27232: Add missing space between : and </label> in member-alt-contact-style.inc (4.67 KB, patch)
2021-04-15 15:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27232: Add missing space between : and </label> in member-alt-contact-style.inc (4.72 KB, patch)
2021-04-17 23:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-12-14 13:43:36 UTC
From the koha-translate ML:

#. %1$s:  END
#: koha-tmpl/intranet-tmpl/prog/en/includes/member-alt-contact-style.inc:162
#, c-format
msgid "%s State:"
msgstr "%s Provincia:"

#. For the first occurrence,
#. %1$s:  END
#: koha-tmpl/intranet-tmpl/prog/en/includes/member-alt-address-style.inc:177
#:
koha-tmpl/intranet-tmpl/prog/en/includes/member-main-address-style.inc:168
#, c-format
msgid "%s State: "
msgstr "%s Stato: "

We need to add a space between ":" and "</label>"

https://lists.koha-community.org/pipermail/koha-translate/2020-December/002815.html
Comment 1 Jonathan Druart 2020-12-14 13:46:47 UTC
Created attachment 114383 [details] [review]
Bug 27232: Add missing space between : and </label> in member-alt-contact-style.inc

It caused the strings to appear twice in the po file

Test plan:
Apply this patch and regenerate the PO for a given language.
Notice that the string "%s State: " only appears once in the PO file
Comment 2 Fridolin Somers 2020-12-16 15:52:49 UTC
There is also <span class="label">Surname: </span> in moremember.tt :

https://git.koha-community.org/Koha-community/Koha/src/commit/ec1979a385cb35228d39d139d7c0bd8c685dd4a2/koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt#L638

Creating :
msgid "Surname: "

So maybe better add a span in other places :
<span>Surname: </span></label>

It removes the %s which is not a real PO var, it must not be moved.

What do you think ?
Comment 3 Jonathan Druart 2020-12-17 11:20:56 UTC
Yes good idea, but feeling lazy to add the missing span tags. Feel free to follow-up :)
Comment 4 Owen Leonard 2021-04-15 15:25:47 UTC
Created attachment 119638 [details] [review]
Bug 27232: Add missing space between : and </label> in member-alt-contact-style.inc

It caused the strings to appear twice in the po file

Test plan:
Apply this patch and regenerate the PO for a given language.
Notice that the string "%s State: " only appears once in the PO file

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2021-04-17 23:30:21 UTC
Created attachment 119805 [details] [review]
Bug 27232: Add missing space between : and </label> in member-alt-contact-style.inc

It caused the strings to appear twice in the po file

Test plan:
Apply this patch and regenerate the PO for a given language.
Notice that the string "%s State: " only appears once in the PO file

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-04-21 08:46:47 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-29 12:58:14 UTC
Pushed to 20.11.x for 20.11.06
Comment 8 Andrew Fuerste-Henry 2021-05-24 16:13:23 UTC
Pushed to 20.05.x for 20.05.12
Comment 9 Victor Grousset/tuxayo 2021-05-24 16:59:39 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.